Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IPropertiedDescriptor

All Superinterfaces:
  IDescriptor, Serializable

All Known Subinterfaces:
  IAdapterDescriptor, IConnectionFactoryDescriptor, IEventDescriptor, IServiceDescriptor

public interface IPropertiedDescriptor
extends IDescriptor

Represents a descriptor that can contain a set of properties (name/value).

Method Summary
`String` | `addProperty(String name, String value)` Add a property to this descriptor.
`String` | `getProperty(String name)` Get the value of a property in this descriptor.
`Iterator` | `listPropertyNames()` Returns an iterator over all properties set for this descriptor.
`String` | `removeProperty(String name)` Remove a property from this descriptor.

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Method Detail

### addProperty

    public String addProperty(String name,
                              String value)

  Add a property to this descriptor. If a property with the given name already exists in this descriptor, its value will be replaced with the given value.

  Parameters:
    `name` - The name of the property.
    `value` - The value of the property.
  Returns:
    The value that was previously mapped to the given name, or null if no value was mapped or the mapped value was null.

### removeProperty

    public String removeProperty(String name)

  Remove a property from this descriptor.

  Parameters:
    `name` - The name of the property.
  Returns:
    The value that was mapped to the given name, or null if no value was mapped or the mapped value was null.

### getProperty

    public String getProperty(String name)

  Get the value of a property in this descriptor. If no property with the given name exists in this descriptor, null is returned.

  Parameters:
    `name` - The name of the property.
  Returns:
    The value of the property, or null if the property does not exist.

### listPropertyNames

    public Iterator listPropertyNames()

  Returns an iterator over all properties set for this descriptor.

  Returns:
    An Iterator over the names (String) of all properties for this descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD